#include "global.h"


int main(int argc, char **argv) {
    FILE *Log;
    time_t rsdate, redate;


    /* SA configuration init */
    InitConfig(argc, argv);
    
    switch (icfg.Mode) {
	case 0: /* Generate reports */
		/* Open, detect and seek to start date log file */
		Log = InitLog();
		/* Init reports environment */
		InitReports();
		/* Colllect data from log */
		CollectLog(Log, &rsdate, &redate);
		ComputePeriod(rsdate, redate);
    		GenerateReports(rsdate, redate);
		break;
	case 1: /* Show log info */
		ShowLog(InitLog());
		break;
	case 2: /* Delete records from log by date */
		if (icfg.SDate == 0L && icfg.EDate == SAMAXTIMET) SAexit(F_MAIN, "You should specify dates range (minimum 1 date: start or end)");
		CropLog(InitLog());
		break;
	case 3:
		ReportIndex();
		break;
    }
    
#if DEBUG>=3
    SAdebug(F_MAIN, "Open file count: %d\nUsers entries count: %d\n", ofcount, icfg.ueCount);
#endif
    
    return(EXIT_SUCCESS);
}
